Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.http
Class BasicURLProviderInstance

    java.lang.Object
      |
      +--oracle.portal.provider.v2.ProviderInstance
            |
            +--oracle.portal.provider.v2.http.URLProviderInstance
                  |
                  +--oracle.portal.provider.v2.http.BasicURLProviderInstance

public synchronized class BasicURLProviderInstance
extends URLProviderInstance

Field Summary

Fields inherited from class oracle.portal.provider.v2.ProviderInstance
`PROVIDER_USER`

Constructor Summary
`BasicURLProviderInstance()`

Method Summary
`java.lang.Object[]` | `initSession(ProviderUser, ExternalPrincipal)` Called to initiate a session with a particular user.

Methods inherited from class oracle.portal.provider.v2.http.URLProviderInstance
`deregister, getProviderDefinition, getSubscription, init, makeQueryString, register, setUrlCookiePolicyHandler`

Methods inherited from class oracle.portal.provider.v2.ProviderInstance
`getOidManager, getPortletDefinition, getPortletDefinition, getPortletDefinitions, getPortletDefinitions, getPortletInstance, getPortletInstance, getPortletInstance, getPortletInstance, getPortletInstance, getPreferenceStore, getProviderContext, getProviderId, getUseOldStyleHeaders, isDefinitionEqual`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicURLProviderInstance

    public BasicURLProviderInstance()

Method Detail

### initSession

    public java.lang.Object[] initSession(ProviderUser,
                                          ExternalPrincipal)
                                   throws ProviderException

  Description copied from class: `ProviderInstance`
  Called to initiate a session with a particular user. This may be called never, once per user session, or once per request depending on how the provider is configured in the portal. If the Provider uses HTTP cookies or maintains state via a cookie-based HTTP session, it is imperative that (all) cookies be established during this call.

  A session is established via the `ProviderUser` user object. I.e. the user object contains the methods for creating and retrieving a session. For providers running in a servlet environment, further HTTP-specific information can be accessed by casting the user object to a `ServletProviderUser`. In particular, this allows access to any existing Cookies already established between the user and provider, via the `ServletProviderUser.getCookies()` method.

  Overrides:
    `initSession` in class `URLProviderInstance`
  Parameters:
    `` - Current portal user.
    `` - External Application information (if it exists).
  Returns:
    Array of cookie objects. In a servlet environment, these should be of class `javax.servlet.http.Cookie`. Alternatively, null can be returned if this provider doesn't use cookies or relies on the (user) session to maintain its state.
  Throws:
    `ProviderException` - if a generic provider error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.